function love.load()
	local major, minor, revision, codename = love.getVersion()
	ver = string.format("Version %d.%d.%d - %s", major, minor, revision, codename)

	devices = love.audio.getRecordingDevices()
	num = #devices
	d = devices[1]
		name = d:getName()
		channels = d:getChannelCount()
		bits = d:getBitDepth()		
		rate = d:getSampleRate()
    
end

function love.update(dt)
	samples = d:getSampleCount()
	recording = d:isRecording()
end

function love.keypressed(key)
	if key=="escape" then
		love.event.quit()
	end

end

function love.mousepressed(x, y)
	num = num + 1 -- to check mouse input has been detected.
	if recording then
		data = d:getData()
		d:stop()
		local source = love.audio.newSource(data)
		love.audio.play(source)
	elseif data == nil then
		success = d:start(100000, 44100, 16, 1)
		rate = d:getSampleRate()
	end

end

function love.draw()
	love.graphics.print("num : "..num, 40, 40)
	love.graphics.print("bits : "..bits, 40, 80)
	love.graphics.print("channels : "..channels, 40, 120)
	love.graphics.print("name : "..name, 40, 160)
	love.graphics.print("samples : "..samples, 40, 200)
	love.graphics.print("rate : "..rate, 40, 240)
	love.graphics.print("recording : "..tostring(recording), 300, 40)
	love.graphics.print("ver : "..ver, 300, 100)
	if success then love.graphics.print("Success!", 300, 200) end

end
